Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.cgm
Class EdgeColor

    java.lang.Object
      com.bbn.openmap.dataAccess.cgm.Command
          com.bbn.openmap.dataAccess.cgm.ColorCommand
              com.bbn.openmap.dataAccess.cgm.EdgeColor

All Implemented Interfaces:
  java.lang.Cloneable

public class EdgeColor
extends ColorCommand

Constructor Summary
`EdgeColor(int ec, int eid, int l, java.io.DataInputStream in)`

Method Summary
`void` | `paint(CGMDisplay d)`
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.dataAccess.cgm.Command
`clone, makeInt, makeString, makeString, read, read16, scale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EdgeColor

    public EdgeColor(int ec,
                     int eid,
                     int l,
                     java.io.DataInputStream in)
              throws java.io.IOException

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ColorCommand`

### paint

    public void paint(CGMDisplay d)

  Overrides:
    `paint` in class `ColorCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details